> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Podcast maken

POST https://api.elevenlabs.io/v1/studio/podcasts
Content-Type: application/json

Maak een podcastproject en converteer het automatisch. Momenteel betalen wij de LLM-kosten, maar de kosten voor audiogeneratie worden nog steeds in rekening gebracht. In de toekomst worden zowel de LLM-kosten als de kosten voor audiogeneratie in rekening gebracht.

Reference: https://elevenlabs.io/docs/api-reference/studio/create-podcast

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Headers

- `safety-identifier` (string, optional, nullable) — Gebruikt voor moderatie. Je workspace moet op de allowlist staan om deze functie te gebruiken.

### Body (application/json)

This endpoint expects a Body_Create_podcast_v1_studio_podcasts_post.

- `model_id` (string, required) — De ID van het model dat voor dit Studio-project moet worden gebruikt. Je kunt GET /v1/models opvragen om alle beschikbare modellen weer te geven.
- `mode` (BodyCreatePodcastV1StudioPodcastsPostMode, required) — Het type podcast dat moet worden gegenereerd. Kan 'conversation' zijn, een interactie tussen twee stemmen, of 'bulletin', een monoloog.
- `source` (BodyCreatePodcastV1StudioPodcastsPostSource, required) — De broninhoud voor de podcast.
- `quality_preset` (enum, optional, nullable) — Output quality of the generated audio. Must be one of: 'standard' - standard output format, 128kbps with 44.1kHz sample rate. 'high' - high quality output format, 192kbps with 44.1kHz sample rate and major improvements on our side. 'ultra' - ultra quality output format, 192kbps with 44.1kHz sample rate and highest improvements on our side. 'ultra_lossless' - ultra quality output format, 705.6kbps with 44.1kHz sample rate and highest improvements on our side in a fully lossless format. If not provided, defaults to the highest quality preset available on your subscription tier.
  - Allowed values: `standard`, `high`, `ultra`, `ultra_lossless`
- `duration_scale` (enum, optional, default: default) — Duur van de gegenereerde podcast. Moet een van de volgende zijn: short - produceert podcasts korter dan 3 minuten. default - produceert podcasts van ongeveer 3-7 minuten. long - produceert podcasts langer dan 7 minuten.
  - Allowed values: `short`, `default`, `long`
- `language` (string, optional, nullable) — Een optionele taal van het Studio-project. Taalcode van twee letters (ISO 639-1).
- `intro` (string, optional, nullable) — De introtekst die altijd aan het begin van de podcast wordt toegevoegd.
- `outro` (string, optional, nullable) — De outrotekst die altijd aan het einde van de podcast wordt toegevoegd.
- `instructions_prompt` (string, optional, nullable) — Prompt met aanvullende instructies voor de podcastgeneratie, waarmee je de stijl en toon van de podcast aanpast.
- `highlights` (list of string, optional, nullable) — Een korte samenvatting of de belangrijkste punten van de inhoud van het Studio-project, met kernpunten of thema's. Dit moet tussen 10 en 70 tekens lang zijn.
- `callback_url` (string, optional, nullable) — Een URL die door onze service wordt aangeroepen wanneer het Studio-project wordt geconverteerd. De request bevat een JSON-blob met de status van de conversie. Berichten: 1. Wanneer het project succesvol is geconverteerd: \{ type: "project\_conversion\_status", event\_timestamp: 1234567890, data: \{ request\_id: "1234567890", project\_id: "21m00Tcm4TlvDq8ikWAM", conversion\_status: "success", project\_snapshot\_id: "22m00Tcm4TlvDq8ikMAT", error\_details: None, } } 2. Wanneer de projectconversie is mislukt: \{ type: "project\_conversion\_status", event\_timestamp: 1234567890, data: \{ request\_id: "1234567890", project\_id: "21m00Tcm4TlvDq8ikWAM", conversion\_status: "error", project\_snapshot\_id: None, error\_details: "Foutdetails als de conversie is mislukt" } } 3. Wanneer het hoofdstuk succesvol is geconverteerd: \{ type: "chapter\_conversion\_status", event\_timestamp: 1234567890, data: \{ request\_id: "1234567890", project\_id: "21m00Tcm4TlvDq8ikWAM", chapter\_id: "22m00Tcm4TlvDq8ikMAT", conversion\_status: "success", chapter\_snapshot\_id: "23m00Tcm4TlvDq8ikMAV", error\_details: None, } } 4. Wanneer de hoofdstukconversie is mislukt: \{ type: "chapter\_conversion\_status", event\_timestamp: 1234567890, data: \{ request\_id: "1234567890", project\_id: "21m00Tcm4TlvDq8ikWAM", chapter\_id: "22m00Tcm4TlvDq8ikMAT", conversion\_status: "error", chapter\_snapshot\_id: None, error\_details: "Foutdetails als de conversie is mislukt" } }
- `apply_text_normalization` (enum, optional, nullable) — Deze parameter regelt tekstnormalisatie met vier modi: 'auto', 'on', 'apply_english' en 'off'. Bij de instelling 'auto' bepaalt het systeem automatisch of tekstnormalisatie wordt toegepast (bijvoorbeeld het uitschrijven van getallen). Met 'on' wordt tekstnormalisatie altijd toegepast, terwijl deze met 'off' wordt overgeslagen. 'apply_english' is hetzelfde als 'on', maar gaat ervan uit dat de tekst Engels is.
  - Allowed values: `auto`, `on`, `off`, `apply_english`

## Response

### 200

Geslaagde response

- `project` (ProjectResponseModel, required) — Het project dat is gekoppeld aan de gemaakte podcast.

## Errors

### 422 Unprocessable Entity Error

Validatiefout

- `detail` (list of ValidationError, optional)

## Types

### BodyCreatePodcastV1StudioPodcastsPostMode

Het type podcast dat moet worden gegenereerd. Kan 'conversation' zijn, een interactie tussen twee stemmen, of 'bulletin', een monoloog.

### BodyCreatePodcastV1StudioPodcastsPostSource

De broninhoud voor de podcast.

### ProjectResponseModel

- `project_id` (string, required) — De ID van het project.
- `name` (string, required) — De naam van het project.
- `create_date_unix` (integer, required) — De aanmaakdatum van het project.
- `created_by_user_id` (string, required, nullable) — De gebruikers-ID van degene die het project heeft gemaakt.
- `default_title_voice_ref_id` (string, required) — De standaardreferentie-ID voor de projectstem van een titel.
- `default_paragraph_voice_ref_id` (string, required) — De standaardreferentie-ID voor de projectstem van een alinea.
- `default_model_id` (string, required) — De standaardmodel-ID.
- `can_be_downloaded` (boolean, required) — Of het project kan worden gedownload.
- `volume_normalization` (boolean, required) — Of het project volumenormalisatie gebruikt.
- `state` (enum, required) — De status van het project.
  - Allowed values: `creating`, `default`, `converting`, `in_queue`
- `access_level` (enum, required) — Het toegangsniveau van het project.
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `quality_check_on` (boolean, required, deprecated) — Of kwaliteitscontrole is ingeschakeld voor dit project.
- `quality_check_on_when_bulk_convert` (boolean, required, deprecated) — Of kwaliteitscontrole is ingeschakeld voor het project bij bulkconversie.
- `default_title_voice_id` (string, required, deprecated) — De standaardstem-ID voor titels.
- `default_paragraph_voice_id` (string, required, deprecated) — De standaardstem-ID voor alinea's.
- `last_conversion_date_unix` (integer, optional, nullable) — De laatste conversiedatum van het project.
- `title` (string, optional, nullable) — De titel van het project.
- `author` (string, optional, nullable) — De auteur van het project.
- `description` (string, optional, nullable) — De beschrijving van het project.
- `genres` (list of string, optional, nullable) — Lijst met genres van het project.
- `cover_image_url` (string, optional, nullable) — De URL van de omslagafbeelding van het project.
- `target_audience` (enum, optional, nullable) — De doelgroep van het project.
  - Allowed values: `children`, `young adult`, `adult`, `all ages`
- `language` (string, optional, nullable) — Tweeletterige taalcode (ISO 639-1) van de taal van het project.
- `content_type` (string, optional, nullable) — Het inhoudstype van het project, bijvoorbeeld 'Roman' of 'Kort verhaal'
- `original_publication_date` (string, optional, nullable) — De oorspronkelijke publicatiedatum van het project.
- `mature_content` (boolean, optional, nullable) — Of het project content voor volwassenen bevat.
- `isbn_number` (string, optional, nullable) — Het ISBN-nummer van het project.
- `fiction` (enum, optional, nullable) — Of het project fictie is.
  - Allowed values: `fiction`, `non-fiction`
- `creation_meta` (ProjectCreationMetaResponseModel, optional, nullable) — De metadata over het aanmaken van het project.
- `source_type` (enum, optional, nullable) — Het brontype van het project.
  - Allowed values: `blank`, `book`, `article`, `genfm`, `video`, `screenplay`
- `chapters_enabled` (boolean, optional, nullable, default: true) — Of hoofdstukken zijn ingeschakeld voor het project.
- `captions_enabled` (boolean, optional, nullable, default: true) — Of ondertiteling is ingeschakeld voor het project.
- `caption_style` (CaptionStyleModel, optional, nullable) — Globale styling die op alle ondertiteling wordt toegepast
- `caption_style_template_overrides` (map from string to CaptionStyleModel, optional, nullable) — Stijlwijzigingen die zijn aangebracht in de meegeleverde sjablonen
- `public_share_id` (string, optional, nullable) — De openbare deel-ID van het project.
- `aspect_ratio` (enum, optional, nullable) — De beeldverhouding van het project.
  - Allowed values: `16:9`, `9:16`, `4:5`, `1:1`
- `agent_settings` (StudioAgentSettingsModel, optional, nullable) — Agentgerelateerde instellingen voor het project

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### PodcastConversationMode

- `type` ("conversation", required) — Het type podcast dat moet worden gemaakt.
- `conversation` (PodcastConversationModeData, required) — De steminstellingen voor het gesprek.

### PodcastBulletinMode

- `type` ("bulletin", required) — Het type podcast dat moet worden gemaakt.
- `bulletin` (PodcastBulletinModeData, required) — De steminstellingen voor het bulletin.

### PodcastTextSource

- `type` ("text", required) — Het type bron dat moet worden gemaakt.
- `text` (string, required) — De tekst waarmee de podcast wordt gemaakt.

### PodcastURLSource

- `type` ("url", required) — Het type bron dat moet worden gemaakt.
- `url` (string, required) — De URL waarmee de podcast wordt gemaakt.

### ProjectCreationMetaResponseModel

- `creation_progress` (double, required) — De voortgang van het maken van het project.
- `status` (enum, required) — De status van de actie voor het maken van een project.
  - Allowed values: `draft`, `pending`, `creating`, `finished`, `failed`
- `type` (enum, required) — Het type actie voor het maken van een project.
  - Allowed values: `blank`, `generate_podcast`, `auto_assign_voices`, `dub_video`, `import_speech`

### CaptionStyleModel

- `template` (CaptionStyleTemplateModel, optional, nullable)
- `text_font` (string, optional, nullable)
- `text_scale` (double, optional, nullable)
- `text_color` (string, optional, nullable)
- `text_align` (enum, optional, nullable)
  - Allowed values: `start`, `center`, `end`
- `text_style` (enum, optional, nullable)
  - Allowed values: `normal`, `italic`
- `text_weight` (enum, optional, nullable)
  - Allowed values: `normal`, `bold`, `900`
- `text_transform` (enum, optional, nullable)
  - Allowed values: `none`, `uppercase`
- `text_blend_mode` (enum, optional, nullable)
  - Allowed values: `normal`, `difference`, `multiply`
- `text_shadow` (StudioTextStyleShadowModel, optional, nullable)
- `text_outline` (StudioTextStyleOutlineModel, optional, nullable)
- `background_enabled` (boolean, optional, nullable)
- `background_color` (string, optional, nullable)
- `background_opacity` (double, optional, nullable)
- `background_blur` (double, optional, nullable)
- `background_border_radius` (double, optional, nullable)
- `word_highlights_enabled` (boolean, optional, nullable)
- `word_highlights_color` (string, optional, nullable)
- `word_highlights_background_color` (string, optional, nullable)
- `word_highlights_opacity` (double, optional, nullable)
- `word_highlights_border_radius` (double, optional, nullable)
- `word_highlights_blur` (double, optional, nullable)
- `section_animation` (CaptionStyleSectionAnimationModel, optional, nullable)
- `word_animation` (CaptionStyleWordAnimationModel, optional, nullable)
- `character_animation` (CaptionStyleCharacterAnimationModel, optional, nullable)
- `cursor_enabled` (boolean, optional, nullable)
- `width_pct` (double, optional, nullable)
- `horizontal_placement` (CaptionStyleHorizontalPlacementModel, optional, nullable)
- `vertical_placement` (CaptionStyleVerticalPlacementModel, optional, nullable)
- `auto_break_enabled` (boolean, optional, nullable)
- `max_lines_per_section` (integer, optional, nullable)
- `max_words_per_line` (integer, optional, nullable)

### StudioAgentSettingsModel

- `tool_settings` (map from string to StudioAgentToolSettingsModel, optional)

### ValidationErrorLocItems

### PodcastConversationModeData

- `host_voice_id` (string, required) — De ID van de hoststem.
- `guest_voice_id` (string, required) — De ID van de gaststem.

### PodcastBulletinModeData

- `host_voice_id` (string, required) — De ID van de hoststem.

### CaptionStyleTemplateModel

- `key` (string, required)
- `label` (string, required)
- `requires_high_fps` (boolean, optional, default: false)

### StudioTextStyleShadowModel

- `enabled` (boolean, required)
- `color` (string, required)
- `opacity` (double, required)
- `blur` (double, required)
- `offset_x` (double, required)
- `offset_y` (double, required)

### StudioTextStyleOutlineModel

- `enabled` (boolean, required)
- `color` (string, required)
- `opacity` (double, required)
- `width` (double, required)

### CaptionStyleSectionAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`

### CaptionStyleWordAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`

### CaptionStyleCharacterAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `typewriter`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`

### CaptionStyleHorizontalPlacementModel

- `align` (enum, required)
  - Allowed values: `left`, `center`, `right`
- `translate_pct` (double, required)

### CaptionStyleVerticalPlacementModel

- `align` (enum, required)
  - Allowed values: `top`, `center`, `bottom`
- `translate_pct` (double, required)

### StudioAgentToolSettingsModel

- `skip_confirmation` (boolean, optional, default: false)

## Examples

**Request**

```json
{
  "model_id": "eleven_multilingual_v2",
  "mode": {
    "conversation": {
      "guest_voice_id": "bYTqZQo3Jz7LQtmGTgwi",
      "host_voice_id": "6lCwbsX1yVjD49QmpkTR"
    },
    "type": "conversation"
  },
  "source": {
    "type": "url",
    "url": "https://en.wikipedia.org/wiki/Cognitive_science"
  }
}
```

**Response**

```json
{
  "project": {
    "project_id": "aw1NgEzBg83R7vgmiJt6",
    "name": "My Project",
    "create_date_unix": 1714204800,
    "created_by_user_id": "Vbtgl3bRdj6lk79rYAgx",
    "default_title_voice_ref_id": "JBFqnCBsd6RMkjVDRZzb",
    "default_paragraph_voice_ref_id": "JBFqnCBsd6RMkjVDRZzb",
    "default_model_id": "eleven_multilingual_v2",
    "can_be_downloaded": true,
    "volume_normalization": true,
    "state": "default",
    "access_level": "viewer",
    "quality_check_on": false,
    "quality_check_on_when_bulk_convert": false,
    "default_title_voice_id": "JBFqnCBsd6RMkjVDRZzb",
    "default_paragraph_voice_id": "JBFqnCBsd6RMkjVDRZzb",
    "last_conversion_date_unix": 1714204800,
    "title": "My Project",
    "author": "John Doe",
    "description": "This is a description of my project.",
    "genres": [
      "Novel",
      "Short Story"
    ],
    "cover_image_url": "https://example.com/cover.jpg",
    "target_audience": "young adult",
    "language": "en",
    "content_type": "Novel",
    "original_publication_date": "2025-01-01",
    "mature_content": false,
    "isbn_number": "978-90-274-3964-2",
    "fiction": "fiction",
    "creation_meta": {
      "creation_progress": 0.5,
      "status": "pending",
      "type": "blank"
    },
    "public_share_id": "abc123def456789"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/studio/podcasts"

payload = {
    "model_id": "eleven_multilingual_v2",
    "mode": {
        "conversation": {
            "guest_voice_id": "bYTqZQo3Jz7LQtmGTgwi",
            "host_voice_id": "6lCwbsX1yVjD49QmpkTR"
        },
        "type": "conversation"
    },
    "source": {
        "type": "url",
        "url": "https://en.wikipedia.org/wiki/Cognitive_science"
    }
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/studio/podcasts';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"model_id":"eleven_multilingual_v2","mode":{"conversation":{"guest_voice_id":"bYTqZQo3Jz7LQtmGTgwi","host_voice_id":"6lCwbsX1yVjD49QmpkTR"},"type":"conversation"},"source":{"type":"url","url":"https://en.wikipedia.org/wiki/Cognitive_science"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/studio/podcasts"

	payload := strings.NewReader("{\n  \"model_id\": \"eleven_multilingual_v2\",\n  \"mode\": {\n    \"conversation\": {\n      \"guest_voice_id\": \"bYTqZQo3Jz7LQtmGTgwi\",\n      \"host_voice_id\": \"6lCwbsX1yVjD49QmpkTR\"\n    },\n    \"type\": \"conversation\"\n  },\n  \"source\": {\n    \"type\": \"url\",\n    \"url\": \"https://en.wikipedia.org/wiki/Cognitive_science\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/studio/podcasts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"model_id\": \"eleven_multilingual_v2\",\n  \"mode\": {\n    \"conversation\": {\n      \"guest_voice_id\": \"bYTqZQo3Jz7LQtmGTgwi\",\n      \"host_voice_id\": \"6lCwbsX1yVjD49QmpkTR\"\n    },\n    \"type\": \"conversation\"\n  },\n  \"source\": {\n    \"type\": \"url\",\n    \"url\": \"https://en.wikipedia.org/wiki/Cognitive_science\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.elevenlabs.io/v1/studio/podcasts")
  .header("Content-Type", "application/json")
  .body("{\n  \"model_id\": \"eleven_multilingual_v2\",\n  \"mode\": {\n    \"conversation\": {\n      \"guest_voice_id\": \"bYTqZQo3Jz7LQtmGTgwi\",\n      \"host_voice_id\": \"6lCwbsX1yVjD49QmpkTR\"\n    },\n    \"type\": \"conversation\"\n  },\n  \"source\": {\n    \"type\": \"url\",\n    \"url\": \"https://en.wikipedia.org/wiki/Cognitive_science\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.elevenlabs.io/v1/studio/podcasts', [
  'body' => '{
  "model_id": "eleven_multilingual_v2",
  "mode": {
    "conversation": {
      "guest_voice_id": "bYTqZQo3Jz7LQtmGTgwi",
      "host_voice_id": "6lCwbsX1yVjD49QmpkTR"
    },
    "type": "conversation"
  },
  "source": {
    "type": "url",
    "url": "https://en.wikipedia.org/wiki/Cognitive_science"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/studio/podcasts");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"model_id\": \"eleven_multilingual_v2\",\n  \"mode\": {\n    \"conversation\": {\n      \"guest_voice_id\": \"bYTqZQo3Jz7LQtmGTgwi\",\n      \"host_voice_id\": \"6lCwbsX1yVjD49QmpkTR\"\n    },\n    \"type\": \"conversation\"\n  },\n  \"source\": {\n    \"type\": \"url\",\n    \"url\": \"https://en.wikipedia.org/wiki/Cognitive_science\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "model_id": "eleven_multilingual_v2",
  "mode": [
    "conversation": [
      "guest_voice_id": "bYTqZQo3Jz7LQtmGTgwi",
      "host_voice_id": "6lCwbsX1yVjD49QmpkTR"
    ],
    "type": "conversation"
  ],
  "source": [
    "type": "url",
    "url": "https://en.wikipedia.org/wiki/Cognitive_science"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/studio/podcasts")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```